"""HTML Parsers

This file is a part of Bookmarks database and Internet robot.
"""

__author__ = "Oleg Broytman <phd@phdru.name>"
__copyright__ = "Copyright (C) 1997-2012 PhiloSoft Design"
__license__ = "GNU GPL"

__all__ = ['parse_html', 'main']


from .bkmk_parse_html import parse_html


def main():
   import sys
   from .bkmk_parse_html import universal_charset

   l = len(sys.argv)
   if l == 3:
      filename = sys.argv[1]
      charset = sys.argv[2]
   elif l == 2:
      filename = sys.argv[1]
      charset = universal_charset
   else:
      sys.exit("Usage: main filename [charset]")

   parser = parse_html(filename, charset, log=lambda s: sys.stdout.write(s + '\n'))
   print "   refresh:", parser.refresh
   print "   icon   :", parser.icon
